# Glossary

Token

  A single whitespace-separated part of command line. In other words, an element of `argv` array.

Option

  No definition yet. Options typically correspond to (name, value) pair. Then can spawn several tokens.

Argument

  No definition yet.

Command line element

  A complete part of command line. May be either option or argument.

Parameter

  The syntactic element which specify value of an option.